<!DOCTYPE html>
<html lang="ko"
	xmlns:th="http://www.thymeleaf.org">
<!--
 *******************************************************************************
 * @source  : BasicEnvsetForm.html
 * @desc    : 기본환경설정 Page
 *============================================================================
 * STYLE24
 * Copyright(C) 2020 TSIT, All rights reserved.
 *============================================================================
 * VER  DATE         AUTHOR      DESCRIPTION
 * ===  ===========  ==========  =============================================
 * 1.0  2020.10.21   gagamel     최초 작성
 *******************************************************************************
 -->
	<div id="main">
		<!-- 메인타이틀 영역 -->
		<div class="main-title">
		</div>
		<!-- //메인타이틀 영역 -->
		
		<!-- 메뉴 설명 -->
		<div class="infoBox menu-desc">
		</div>
		<!-- //메뉴 설명 -->
		
		<!-- 검색조건 영역 -->
		<div class="panelStyle">
			<table class="frmStyle" aria-describedby="검색조건">
				<colgroup>
					<col style="width:10%;"/>
					<col/>
				</colgroup>
				<tr>
					<th>사이트</th>
					<td>
						<select name="siteCd" class="w150" onchange="fnSearch();">
							<option th:if="${siteList}" th:each="oneData, status : ${siteList}" th:value="${oneData.cd}" th:text="${'[' + oneData.cd + '] ' + oneData.cdNm}"></option>
						</select>
					</td>
				</tr>
			</table>
		</div>
		<!-- 검색조건 영역 -->

		<div class="panelStyle">
			<h4>[B10] 쇼핑몰Meta정보</h4>
			<button type="button" class="btn btn-success btn-ssm" onclick="fnSave('B10');">저장</button>
			<button type="button" class="btn btn-info btn-ssm" onclick="fnOpenEnvsetPopup('B10', '쇼핑몰Meta정보');">이력보기</button>
			<table class="frmStyle" aria-describedby="쇼핑몰Meta정보">
				<colgroup>
					<col style="width: 15%;"/>
					<col/>
				</colgroup>
				<tbody>
					<tr>
						<th>웹브라우저Title</th>
						<td>
							<input name="b10StrSetVal1" type="text" class="w500" maxlength="200"/>
							<span class="infoTxt cBlue marL20"><i class="fa fa-info-circle" aria-hidden="true"></i>웹 브라우저 상단에 노출되는 사이트 소개 문구입니다.</span>
						</td>
					</tr>
					<tr>
						<th>쇼핑몰Title(og:title)</th>
						<td>
							<input name="b10StrSetVal2" type="text" class="w500" maxlength="200"/>
							<span class="infoTxt cBlue marL20"><i class="fa fa-info-circle" aria-hidden="true"></i>오픈그래프 Title입니다. 영문/한글/숫자만 입력하세요.</span>
						</td>
					</tr>
					<tr>
						<th>쇼핑몰설명(og:description)</th>
						<td>
							<input name="b10StrSetVal3" type="text" class="w500" maxlength="200"/>
							<span class="infoTxt cBlue marL20"><i class="fa fa-info-circle" aria-hidden="true"></i>오픈그래프 Description입니다. 200자 이내의 영문/한글/숫자만 입력하세요.</span>
						</td>
					</tr>
					<tr>
						<th>쇼핑몰이미지(og:image)</th>
						<td>
							<div class="uFile w500">
								<input type="file" id="b10StrSetVal4" name="b10StrSetVal4" class="uFileInput"/>
								<label for="b10StrSetVal4" class="uFileLabel">쇼핑몰이미지 선택</label>
								<input type="hidden" name="b10StrSetVal4OrgFileNm"/>
								<input type="hidden" name="b10StrSetVal4SysFileNm"/>
							</div>
							<a id="b10StrSetVal4FileDownload" href="#" style="display: none;" onclick="fnDownloadFile('b10StrSetVal4');"></a>
							<span class="infoTxt cBlue marL20"><i class="fa fa-info-circle" aria-hidden="true"></i>오픈그래프 Image입니다</span>
						</td>
					</tr>
					<tr>
						<th>키워드(Keywords)</th>
						<td>
							<input name="b10StrSetVal5" type="text" class="w500" maxlength="70"/>
							<span class="infoTxt cBlue marL20"><i class="fa fa-info-circle" aria-hidden="true"></i>70자 이내로 작성하시고 같은 단어는 3회 이상 반복하시면 안 됩니다.</span>
						</td>
					</tr>
					<tr>
						<th>파비콘이미지</th>
						<td>
							<div class="uFile w500">
								<input type="file" id="b10StrSetVal6" name="b10StrSetVal6" class="uFileInput"/>
								<label for="b10StrSetVal6" class="uFileLabel">파비콘이미지 선택</label>
								<input type="hidden" name="b10StrSetVal6OrgFileNm"/>
								<input type="hidden" name="b10StrSetVal6SysFileNm"/>
							</div>
							<a id="b10StrSetVal6FileDownload" href="#" style="display: none;" onclick="fnDownloadFile('b10StrSetVal6');"></a>
							<span class="infoTxt cBlue marL20"><i class="fa fa-info-circle" aria-hidden="true"></i>16x16 사이즈의 아이콘 이미지(확장자:ico)</span>
						</td>
					</tr>
				</tbody>
			</table>
			
			<h4>[C10] 회원기본설정</h4>
			<button type="button" class="btn btn-success btn-ssm" onclick="fnSave('C10');">저장</button>
			<button type="button" class="btn btn-info btn-ssm" onclick="fnOpenEnvsetPopup('C10', '회원기본설정');">이력보기</button>
			<table class="frmStyle" aria-describedby="회원기본설정">
				<colgroup>
					<col style="width: 15%;"/>
					<col/>
				</colgroup>
				<tbody>
					<tr>
						<th>탈퇴후재가입불가기간(일)</th>
						<td><input name="c10StrSetVal1" type="text" class="w50 aR" maxlength="3" data-valid-type="integer" data-valid-name="탈퇴후재가입불가기간"/><span class="cRed">일</span> 동안 탈퇴 후 재가입 불가합니다.</td>
					</tr>
					<tr>
						<th>휴면회선정기간(일)</th>
						<td><input name="c10StrSetVal2" type="text" class="w50 aR" maxlength="3" data-valid-type="integer" data-valid-name="휴면회원선정기간"/><span class="cRed">일</span> 동안 사이트에 로그인 하지 않은 회원을 휴면회원으로 선정합니다.</td>
					</tr>
					<tr>
						<th>휴면회원전환기간(일)</th>
						<td><input name="c10StrSetVal3" type="text" class="w50 aR" maxlength="3" data-valid-type="integer" data-valid-name="휴면회원전환기간"/><span class="cRed">일</span> 동안 사이트에 로그인 하지 않은 회원을 휴면회원으로 전환합니다.</td>
					</tr>
					<tr>
						<th>회원등급산정기간</th>
						<td>전월 기준 최근 <input name="c10StrSetVal4" type="text" class="w50 aR" maxlength="3" data-valid-type="integer" data-valid-name="회원등급산정기간"/><span class="cRed">개월</span> 기간 동안의 구매금액(실결제금액)과 구매건수를 기준으로 월초에 산정합니다. <span class="infoTxt cBlue marL20"><i class="fa fa-info-circle" aria-hidden="true"></i>자세한 사항은 "<span class="cRed">운영관리 > 환경설정 > 회원등급정책관리</span>" 화면을 참조해 주세요.</span></td>
					</tr>
				</tbody>
			</table>
			
			<h4>[G10] 상품노출</h4>
			<button type="button" class="btn btn-success btn-ssm" onclick="fnSave('G10');">저장</button>
			<button type="button" class="btn btn-info btn-ssm" onclick="fnOpenEnvsetPopup('G10', '상품노출');">이력보기</button>
			<table class="frmStyle" aria-describedby="상품노출">
				<colgroup>
					<col style="width: 15%;"/>
					<col/>
				</colgroup>
				<tbody>
					<tr>
						<th>상품평노출여부</th>
						<td>
							<label class="rdoBtn"><input type="radio" name="g10StrSetVal1" value="Y" checked="checked"/>노출</label>
							<label class="rdoBtn"><input type="radio" name="g10StrSetVal1" value="N">미노출</label>
							<span class="infoTxt cBlue"><i class="fa fa-info-circle" aria-hidden="true"></i>미노출로 설정 시 상품상세의 상품평 영역이 노출되지 않습니다.</span>
						</td>
					</tr>
					<tr>
						<th>품절상품노출여부</th>
						<td>
							<label class="rdoBtn"><input type="radio" name="g10StrSetVal2" value="Y"/>노출</label>
							<label class="rdoBtn"><input type="radio" name="g10StrSetVal2" value="N" checked="checked">미노출</label>
							<span class="infoTxt cBlue"><i class="fa fa-info-circle" aria-hidden="true"></i>품절된 상품을 사이트에 노출할지 말지를 설정합니다.</span>
						</td>
					</tr>
					<tr>
						<th>베스트상품노출개수</th>
						<td>
							카테고리와 아울렛의 베스트 영역에 상품이 <input name="g10StrSetVal3" type="text" class="w50 aR" maxlength="3" data-valid-type="integer"/> 개 만큼만 노출됩니다.
						</td>
					</tr>
				</tbody>
			</table>

			<h4>[G11] 상품보관</h4>
			<button type="button" class="btn btn-success btn-ssm" onclick="fnSave('G11');">저장</button>
			<button type="button" class="btn btn-info btn-ssm" onclick="fnOpenEnvsetPopup('G11', '상품보관');">이력보기</button>
			<table class="frmStyle" aria-describedby="상품보관">
				<colgroup>
					<col style="width: 15%;"/>
					<col/>
				</colgroup>
				<tbody>
					<tr>
						<th>장바구니보관기간(일)</th>
						<td>
							<!-- 2021-06-08 장바구니 보관 기간 30일 고정 > 지하 1층 회의실B 에서 한수인리더 확인.
							     장바구니 20일 경과 상품 구매 알림톡 보내기 위해 수정되지 않도록 변경 -xodud1202 -->
							장바구니 보관기간은 <input name="g11StrSetVal1" type="text" class="w50 aR" maxlength="3" data-valid-type="integer" readonly disabled data-valid-name="장바구니보관기간"/><span class="cRed">일</span> 입니다. 보관기간 경과 시 자동 삭제됩니다. (보관기간 30일 고정)
							<span class="infoTxt cBlue"><i class="fa fa-info-circle marL20" aria-hidden="true"></i>0으로 설정하면 자동으로 삭제 처리를 하지 않습니다.</span>
						</td>
					</tr>
					<tr>
						<th>장바구니담기최대상품수</th>
						<td>
							장바구니에 담을 수 있는 최대 상품 개수는 <input name="g11StrSetVal2" type="text" class="w50 aR" maxlength="3" data-valid-type="integer" data-valid-name="장바구니보관기간"/><span class="cRed">개</span> 입니다.
						</td>
					</tr>
					<tr>
						<th>위시리스트보관기간(일)</th>
						<td>
							위시리스트 보관기간은 <input name="g11StrSetVal3" type="text" class="w50 aR" maxlength="3" data-valid-type="integer" data-valid-name="위시리스트보관기간"/><span class="cRed">일</span> 입니다. 보관기간 경과 시 자동 삭제됩니다.
							<span class="infoTxt cBlue marL20"><i class="fa fa-info-circle" aria-hidden="true"></i>0으로 설정하면 자동으로 삭제 처리를 하지 않습니다.</span>
						</td>
					</tr>
				</tbody>
			</table>

			<h4>[G12] 휴면/미접속자 방어쿠폰 자동발송-1</h4>
			<button type="button" class="btn btn-success btn-ssm" onclick="fnSave('G12');">저장</button>
			<button type="button" class="btn btn-info btn-ssm" onclick="fnOpenEnvsetPopup('G12', '휴면/미접속자 12');">이력보기</button>
			<table class="frmStyle" aria-describedby="휴면/미접속자">
				<colgroup>
					<col style="width: 15%;"/>
					<col/>
				</colgroup>
				<tbody>
					<tr>
						<th>미로그인 시작일(일)</th>
						<td>
							 <input name="g12StrSetVal1" type="text" class="w50 aR" maxlength="3" data-valid-type="integer" data-valid-name="미로그인 시작일"/><span class="cRed">일</span> 입니다.
							 <span class="infoTxt cBlue"><i class="fa fa-info-circle marL20" aria-hidden="true"></i>0으로 설정하면 자동으로 발송되지 않습니다.</span>
						</td>
					</tr>
					<tr>
						<th>미로그인 종료일(일)</th>
						<td>
							 <input name="g12StrSetVal2" type="text" class="w50 aR" maxlength="3" data-valid-type="integer" data-valid-name="미로그인 종료일"/><span class="cRed">일</span> 입니다.
							 <span class="infoTxt cBlue"><i class="fa fa-info-circle marL20" aria-hidden="true"></i>0으로 설정하면 자동으로 발송되지 않습니다.</span>
						</td>
					</tr>
					<tr>
						<th>혜택쿠폰</th>
						<td>
							<input type="text" class="w300" name="g12StrSetVal3Nm" onkeypress="if (window.event.keyCode == 13) { fnOpenCouponRetrievePopup('input[name=g12StrSetVal3]', 'input[name=g12StrSetVal3Nm]'); }"/>
							<button type="button" class="btn icn" onclick="fnOpenCouponRetrievePopup('input[name=g12StrSetVal3]', 'input[name=g12StrSetVal3Nm]');"><i class="fa fa-search cpn" aria-hidden="true"></i></button>
							<input name="g12StrSetVal3" type="text" class="w100" maxlength="20" readonly="readonly"/>
							<button type="button" class="btn icn" onclick="$('input[name=g12StrSetVal3], input[name=g12StrSetVal3Nm]').val('');"><i class="fa fa-eraser" aria-hidden="true"></i></button>
							<span class="infoTxt cBlue"><i class="fa fa-info-circle marL20" aria-hidden="true"></i>SMS/이메일 수신동의자</span>
						</td>
					</tr>
				</tbody>
			</table>

			<h4>[G13] 휴면/미접속자 방어쿠폰 자동발송-2</h4>
			<button type="button" class="btn btn-success btn-ssm" onclick="fnSave('G13');">저장</button>
			<button type="button" class="btn btn-info btn-ssm" onclick="fnOpenEnvsetPopup('G13', '휴면/미접속자 13');">이력보기</button>
			<table class="frmStyle" aria-describedby="휴면/미접속자">
				<colgroup>
					<col style="width: 15%;"/>
					<col/>
				</colgroup>
				<tbody>
					<tr>
						<th>미로그인 시작일(일)</th>
						<td>
							 <input name="g13StrSetVal1" type="text" class="w50 aR" maxlength="3" data-valid-type="integer" data-valid-name="미로그인 시작일"/><span class="cRed">일</span> 입니다.
							 <span class="infoTxt cBlue"><i class="fa fa-info-circle marL20" aria-hidden="true"></i>0으로 설정하면 자동으로 발송되지 않습니다.</span>
						</td>
					</tr>
					<tr>
						<th>미로그인 종료일(일)</th>
						<td>
							 <input name="g13StrSetVal2" type="text" class="w50 aR" maxlength="3" data-valid-type="integer" data-valid-name="미로그인 시작일"/><span class="cRed">일</span> 입니다.
							 <span class="infoTxt cBlue"><i class="fa fa-info-circle marL20" aria-hidden="true"></i>0으로 설정하면 자동으로 발송되지 않습니다.</span>
						</td>
					</tr>
					<tr>
						<th>혜택쿠폰</th>
						<td>
							<input type="text" class="w300" name="g13StrSetVal3Nm" onkeypress="if (window.event.keyCode == 13) { fnOpenCouponRetrievePopup('input[name=g13StrSetVal3]', 'input[name=g13StrSetVal3Nm]'); }"/>
							<button type="button" class="btn icn" onclick="fnOpenCouponRetrievePopup('input[name=g13StrSetVal3]', 'input[name=g13StrSetVal3Nm]');"><i class="fa fa-search cpn" aria-hidden="true"></i></button>
							<input name="g13StrSetVal3" type="text" class="w100" maxlength="20" readonly="readonly"/>
							<button type="button" class="btn icn" onclick="$('input[name=g13StrSetVal3], input[name=g13StrSetVal3Nm]').val('');"><i class="fa fa-eraser" aria-hidden="true"></i></button>
							<span class="infoTxt cBlue"><i class="fa fa-info-circle marL20" aria-hidden="true"></i>SMS/이메일 수신동의자</span>
						</td>
					</tr>
				</tbody>
			</table>

			<h4>[G14] 휴면/미접속자 방어쿠폰 자동발송-3</h4>
			<button type="button" class="btn btn-success btn-ssm" onclick="fnSave('G14');">저장</button>
			<button type="button" class="btn btn-info btn-ssm" onclick="fnOpenEnvsetPopup('G14', '휴면/미접속자 14');">이력보기</button>
			<table class="frmStyle" aria-describedby="휴면/미접속자">
				<colgroup>
					<col style="width: 15%;"/>
					<col/>
				</colgroup>
				<tbody>
					<tr>
						<th>미로그인 시작일(일)</th>
						<td>
							 <input name="g14StrSetVal1" type="text" class="w50 aR" maxlength="3" data-valid-type="integer" data-valid-name="미로그인 시작일"/><span class="cRed">일</span> 입니다.
							 <span class="infoTxt cBlue"><i class="fa fa-info-circle marL20" aria-hidden="true"></i>0으로 설정하면 자동으로 발송되지 않습니다.</span>
						</td>
					</tr>
					<tr>
						<th>미로그인 종료일(일)</th>
						<td>
							 <input name="g14StrSetVal2" type="text" class="w50 aR" maxlength="3" data-valid-type="integer" data-valid-name="미로그인 시작일"/><span class="cRed">일</span> 입니다.
							 <span class="infoTxt cBlue"><i class="fa fa-info-circle marL20" aria-hidden="true"></i>0으로 설정하면 자동으로 발송되지 않습니다.</span>
						</td>
					</tr>
					<tr>
						<th>혜택쿠폰</th>
						<td>
							<input type="text" class="w300" name="g14StrSetVal3Nm" onkeypress="if (window.event.keyCode == 13) { fnOpenCouponRetrievePopup('input[name=g14StrSetVal3]', 'input[name=g14StrSetVal3Nm]'); }"/>
							<button type="button" class="btn icn" onclick="fnOpenCouponRetrievePopup('input[name=g14StrSetVal3]', 'input[name=g14StrSetVal3Nm]');"><i class="fa fa-search cpn" aria-hidden="true"></i></button>
							<input name="g14StrSetVal3" type="text" class="w100" maxlength="20" readonly="readonly"/>
							<button type="button" class="btn icn" onclick="$('input[name=g14StrSetVal3], input[name=g14StrSetVal3Nm]').val('');"><i class="fa fa-eraser" aria-hidden="true"></i></button>
							<span class="infoTxt cBlue"><i class="fa fa-info-circle marL20" aria-hidden="true"></i>SMS/이메일 수신동의자</span>
						</td>
					</tr>
				</tbody>
			</table>

			<h4>[O10] 주문/결제</h4>
			<button type="button" class="btn btn-success btn-ssm" onclick="fnSave('O10');">저장</button>
			<button type="button" class="btn btn-info btn-ssm" onclick="fnOpenEnvsetPopup('O10', '주문/결제');">이력보기</button>
			<table class="frmStyle" aria-describedby="주문/결제">
				<colgroup>
					<col style="width: 15%;"/>
					<col/>
				</colgroup>
				<tbody>
					<tr>
						<th>결제단위</th>
						<td>
							<select name="o10StrSetVal1">
								<option value="">[선택]</option>
								<option value="1">일원 단위</option>
								<option value="10">십원 단위</option>
								<option value="100">백원 단위</option>
							</select>
							<span class="infoTxt cBlue marL20"><i class="fa fa-info-circle" aria-hidden="true"></i>주문 시의 결제단위 입니다.</span>
						</td>
					</tr>
					<tr>
						<th>최소결제금액</th>
						<td>
							한 번의 결제 시 상품의 실결제금액이 <input name="o10StrSetVal2" type="text" class="w100 aR" maxlength="7" data-valid-type="integer" data-valid-name="최소결제금액"/> <span class="cRed">원</span> 보다 적을 경우 결제가 불가합니다.
						</td>
					</tr>
					<tr>
						<th>무료배송비최소주문금액</th>
						<td>최소주문금액이 <input name="o10StrSetVal3" type="text" class="w100 aR" maxlength="6" data-valid-type="integer" data-valid-name="무료배송비최소주문금액"/> 원 이상이면 배송비가 무료입니다. <span class="infoTxt cBlue marL20"><i class="fa fa-info-circle" aria-hidden="true"></i>이 값은 기본값이며 공급업체별로 다르게 설정할 수도 있습니다.</span></td>
					</tr>
					<tr>
						<th>총알배송주문가능시간</th>
						<td>
							오전 <input name="o10StrSetVal4" type="text" class="w50 aR" maxlength="3" data-valid-type="integer" data-valid-name="총알배송주문가능시간"/> <span class="cRed">시</span> 까지 주문한 자사상품은 총알배송이 가능합니다.
						</td>
					</tr>
				</tbody>
			</table>
			
			<h4>[O11] 품절안내</h4>
			<button type="button" class="btn btn-success btn-ssm" onclick="fnSave('O11');">저장</button>
			<button type="button" class="btn btn-info btn-ssm" onclick="fnOpenEnvsetPopup('O11', '품절안내');">이력보기</button>
			<table class="frmStyle" aria-describedby="품절안내">
				<colgroup>
					<col style="width: 15%;"/>
					<col/>
				</colgroup>
				<tbody>
					<tr>
						<th>품절안내방법</th>
						<td>
							<label class="rdoBtn"><input type="radio" name="o11StrSetVal1" value="A"/>자동</label>
							<label class="rdoBtn"><input type="radio" name="o11StrSetVal1" value="M" checked="checked"/>수동</label>
						</td>
					</tr>
					<tr>
						<th>품절안내메시지자동발송기간(일)</th>
						<td>
							품절안내방법이 "자동"일 경우 결제완료 후 <input name="o11StrSetVal2" type="text" class="w50 aR" maxlength="3" data-valid-type="integer" data-valid-name="자동품절안내메시지발송기간(일)"/><span class="cRed">일</span> 동안 출고되지 않으면 품절안내 메시지를 자동으로 발송합니다.
						</td>
					</tr>
					<tr>
						<th>품절메시지자동발송기간(일)</th>
						<td>
							품절안내방법이 "자동"일 경우 결제완료 후 <input name="o11StrSetVal3" type="text" class="w50 aR" maxlength="3" data-valid-type="integer" data-valid-name="자동품절메시지발송기간(일)"/><span class="cRed">일</span> 동안 출고되지 않으면 품절 메시지를 자동으로 발송합니다.
						</td>
					</tr>
				</tbody>
			</table>
			
			<h4>[D10] 배송/구매확정/반품</h4>
			<button type="button" class="btn btn-success btn-ssm" onclick="fnSave('D10');">저장</button>
			<button type="button" class="btn btn-info btn-ssm" onclick="fnOpenEnvsetPopup('D10', '배송/구매확정/반품');">이력보기</button>
			<table class="frmStyle" aria-describedby="배송/구매확정/반품">
				<colgroup>
					<col style="width: 15%;"/>
					<col/>
				</colgroup>
				<tbody>
					<tr>
						<th>배송완료자동처리기간(일)</th>
						<td>
							<span class="cRed">배송중</span> 상태를 기준으로 <input name="d10StrSetVal1" type="text" class="w50 aR" maxlength="3" data-valid-type="integer" data-valid-name="배송완료자동처리일수"/><span class="cRed">일</span> 경과 시 자동으로 배송완료로 처리합니다.
						</td>
					</tr>
					<tr>
						<th>구매확정자동처리기간(일)</th>
						<td>
							배송완료일 기준으로 <input name="d10StrSetVal2" type="text" class="w50 aR" maxlength="3" data-valid-type="integer" data-valid-name="구매확정자동처리일수"/><span class="cRed">일</span> 경과 시 자동으로 구매확정 처리합니다.
						</td>
					</tr>
					<tr>
						<th>반품가능기간(일)</th>
						<td>
							배송완료 후 <input name="d10StrSetVal3" type="text" class="w50 aR" maxlength="3" data-valid-type="integer" data-valid-name="반품가능기간"/><span class="cRed">일</span> 내에 반품 신청 및 접수가 가능합니다.
						</td>
					</tr>
				</tbody>
			</table>

			<h4>[M10] 모바일앱</h4>
			<button type="button" class="btn btn-success btn-ssm" onclick="fnSave('M10');">저장</button>
			<button type="button" class="btn btn-info btn-ssm" onclick="fnOpenEnvsetPopup('M10', '모바일앱');">이력보기</button>
			<table class="frmStyle" aria-describedby="모바일앱">
				<colgroup>
					<col style="width: 15%;"/>
					<col style="width: 85%;"/>
				</colgroup>
				<tbody>
					<tr>
						<th>AOS앱버전</th>
						<td>
							<input name="m10StrSetVal1" type="text" class="w100" maxlength="20" data-valid-name="AOS앱버전"/>
						</td>
					</tr>
					<tr>
						<th>IOS앱버전</th>
						<td>
							<input name="m10StrSetVal2" type="text" class="w100" maxlength="20" data-valid-name="IOS앱버전"/>
						</td>
					</tr>
				</tbody>
			</table>

		</div>
	</div>

<script th:inline="javascript">
/*<![CDATA[*/
	// 조회
	var fnSearch = function() {
		var siteCd = $('select[name=siteCd]').val();
		var actionUrl = '/envset/' + siteCd;

		// 쇼핑몰Meta정보
		$.getJSON(actionUrl + '/B10'
				, function(result, status) {
					if (status === 'success') {
						if (!gagajf.isNull(result)) {
							$('input[name=b10StrSetVal1]').val(result.strSetVal1);
							$('input[name=b10StrSetVal2]').val(result.strSetVal2);
							$('input[name=b10StrSetVal3]').val(result.strSetVal3);
							
							if (!gagajf.isNull(result.strSetVal4)) {
								$('input[name=b10StrSetVal4SysFileNm]').val(result.strSetVal4);
								$('#b10StrSetVal4FileDownload').html(result.strSetVal4);
								$('#b10StrSetVal4FileDownload').show();
							}
							
							$('input[name=b10StrSetVal5]').val(result.strSetVal5);
							
							if (!gagajf.isNull(result.strSetVal6)) {
								$('input[name=b10StrSetVal6SysFileNm]').val(result.strSetVal6);
								$('#b10StrSetVal6FileDownload').html(result.strSetVal6);
								$('#b10StrSetVal6FileDownload').show();
							}
						}
					}
				});

		// 회원기본설정
		$.getJSON(actionUrl + '/C10'
				, function(result, status) {
					if (status === 'success') {
						if (!gagajf.isNull(result)) {
							$('input[name=c10StrSetVal1]').val(result.strSetVal1);
							$('input[name=c10StrSetVal2]').val(result.strSetVal2);
							$('input[name=c10StrSetVal3]').val(result.strSetVal3);
							$('input[name=c10StrSetVal4]').val(result.strSetVal4);
						}
					}
				});
		
		// 상품노출
		$.getJSON(actionUrl + '/G10'
				, function(result, status) {
					if (status === 'success') {
						if (!gagajf.isNull(result)) {
							$("input:radio[name=g10StrSetVal1]").parents('td').find('label').removeClass('checked');
							if (result.strSetVal1 == 'Y') {
								$("input:radio[name=g10StrSetVal1]").eq(0).prop('checked', true);
							} else {
								$("input:radio[name=g10StrSetVal1]").eq(1).prop('checked', true);
							}

							$("input:radio[name=g10StrSetVal2]").parents('td').find('label').removeClass('checked');
							if (result.strSetVal2 == 'Y') {
								$("input:radio[name=g10StrSetVal2]").eq(0).prop('checked', true);
							} else {
								$("input:radio[name=g10StrSetVal2]").eq(1).prop('checked', true);
							}
							
							$('input[name=g10StrSetVal3]').val(result.strSetVal3);
						}
					}
				});

		// 상품보관
		$.getJSON(actionUrl + '/G11'
				, function(result, status) {
					if (status === 'success') {
						if (!gagajf.isNull(result)) {
							$('input[name=g11StrSetVal1]').val(result.strSetVal1);
							$('input[name=g11StrSetVal2]').val(result.strSetVal2);
							$('input[name=g11StrSetVal3]').val(result.strSetVal3);
						}
					}
				});
		
		// 주문/결제
		$.getJSON(actionUrl + '/O10'
				, function(result, status) {
					if (status === 'success') {
						if (!gagajf.isNull(result)) {
							$('select[name=o10StrSetVal1]').val(result.strSetVal1);
							$('input[name=o10StrSetVal2]').val(gagajf.isNull(result.strSetVal2) ? result.strSetVal2 : result.strSetVal2.addComma());
							$('input[name=o10StrSetVal3]').val(gagajf.isNull(result.strSetVal3) ? result.strSetVal3 : result.strSetVal3.addComma());
							$('input[name=o10StrSetVal4]').val(result.strSetVal4);
						}
					}
				});
		
		// 품절안내
		$.getJSON(actionUrl + '/O11'
				, function(result, status) {
					if (status === 'success') {
						if (!gagajf.isNull(result)) {
							$("input:radio[name=o11StrSetVal1]").parents('td').find('label').removeClass('checked');
							if (result.strSetVal1 == 'Y') {
								$("input:radio[name=o11StrSetVal1]").eq(0).prop('checked', true);
							} else {
								$("input:radio[name=o11StrSetVal1]").eq(1).prop('checked', true);
							}
							$('input[name=o11StrSetVal2]').val(result.strSetVal2);
							$('input[name=o11StrSetVal3]').val(result.strSetVal3);
						}
					}
				});
		
		// 배송/구매확정/반품
		$.getJSON(actionUrl + '/D10'
				, function(result, status) {
					if (status === 'success') {
						if (!gagajf.isNull(result)) {
							$('input[name=d10StrSetVal1]').val(result.strSetVal1);
							$('input[name=d10StrSetVal2]').val(result.strSetVal2);
							$('input[name=d10StrSetVal3]').val(result.strSetVal3);
						}
					}
				});

		// 휴면/미접속자 방어쿠폰 12
		$.getJSON(actionUrl + '/G12'
				, function(result, status) {
					if (status === 'success') {
						if (!gagajf.isNull(result)) {
							$('input[name=g12StrSetVal1]').val(result.strSetVal1);
							$('input[name=g12StrSetVal2]').val(result.strSetVal2);
							$('input[name=g12StrSetVal3]').val(result.strSetVal3);
						}
					}
				});

		// 휴면/미접속자 방어쿠폰 13
		$.getJSON(actionUrl + '/G13'
				, function(result, status) {
					if (status === 'success') {
						if (!gagajf.isNull(result)) {
							$('input[name=g13StrSetVal1]').val(result.strSetVal1);
							$('input[name=g13StrSetVal2]').val(result.strSetVal2);
							$('input[name=g13StrSetVal3]').val(result.strSetVal3);
						}
					}
				});

		// 휴면/미접속자 방어쿠폰 11-3
		$.getJSON(actionUrl + '/G14'
				, function(result, status) {
					if (status === 'success') {
						if (!gagajf.isNull(result)) {
							$('input[name=g14StrSetVal1]').val(result.strSetVal1);
							$('input[name=g14StrSetVal2]').val(result.strSetVal2);
							$('input[name=g14StrSetVal3]').val(result.strSetVal3);
						}
					}
				});

		// 모바일앱
		$.getJSON(actionUrl + '/M10'
				, function(result, status) {
					if (status === 'success') {
						if (!gagajf.isNull(result)) {
							$('input[name=m10StrSetVal1]').val(result.strSetVal1);
							$('input[name=m10StrSetVal2]').val(result.strSetVal2);
						}
					}
				});
	}

	// 파일첨부 선택 시
	$('#b10StrSetVal4').on('change', function() { fnChooseFile(this); });
	$('#b10StrSetVal6').on('change', function() { fnChooseFile(this); });

	var fnChooseFile = function(obj) {
		// multiple 속성이 있으면 files에는 다수의 객체가 할당됨
		var file = obj.files[0];

		// 파일 업로드
		gagajf.ajaxFileUpload('/common/file/upload?subDir=/envset'
				, file
				, function(result) {
					// 업로드한 파일명 설정
					$('input[name=' + obj.name + 'OrgFileNm]').val(result.oldFileName);
					$('input[name=' + obj.name + 'SysFileNm]').val(result.newFileName);
				}
		);
	}

	// 파일다운로드
	var fnDownloadFile = function(id) {
		$('#' + id + 'FileDownload').attr({
			href : _uploadDefaultUrl + '/envset/' + $('input[name=' + id + 'SysFileNm]').val(),
			target: '_blank'
		}).get(0).click();
	}

	// 저장 처리
	var fnSave = function(envsetType) {
		var params = new Object();
		params.siteCd = $('select[name=siteCd]').val();
		params.envsetType = envsetType;

		if (envsetType == 'B10') { // 쇼핑몰Meta정보
			params.envsetNm = '쇼핑몰Meta정보';
			params.strSetVal1 = $('input[name=b10StrSetVal1]').val();
			params.strSetVal2 = $('input[name=b10StrSetVal2]').val();
			params.strSetVal3 = $('input[name=b10StrSetVal3]').val();
			params.strSetVal4 = $('input[name=b10StrSetVal4SysFileNm]').val();
			params.strSetVal5 = $('input[name=b10StrSetVal5]').val();
			params.strSetVal6 = $('input[name=b10StrSetVal6SysFileNm]').val();
		} else if (envsetType == 'C10') { // 회원기본설정
			params.envsetNm = '회원기본설정';
			params.strSetVal1 = $('input[name=c10StrSetVal1]').val();
			params.strSetVal2 = $('input[name=c10StrSetVal2]').val();
			params.strSetVal3 = $('input[name=c10StrSetVal3]').val();
			params.strSetVal4 = $('input[name=c10StrSetVal4]').val();
		} else if (envsetType == 'G10') { // 상품노출
			params.envsetNm = '상품노출';
			params.strSetVal1 = $('input:radio[name=g10StrSetVal1]:checked').val();
			params.strSetVal2 = $('input:radio[name=g10StrSetVal2]:checked').val();
			params.strSetVal3 = $('input[name=g10StrSetVal3]').val();
		} else if (envsetType == 'G11') { // 상품보관
			params.envsetNm = '상품보관';
			params.strSetVal1 = $('input[name=g11StrSetVal1]').val();
			params.strSetVal2 = $('input[name=g11StrSetVal2]').val();
			params.strSetVal3 = $('input[name=g11StrSetVal3]').val();
		} else if (envsetType == 'O10') { // 주문/결제
			params.envsetNm = '주문/결제';
			params.strSetVal1 = $('select[name=o10StrSetVal1]').val();
			params.strSetVal2 = $('input[name=o10StrSetVal2]').val().removeComma();
			params.strSetVal3 = $('input[name=o10StrSetVal3]').val().removeComma();
			params.strSetVal4 = $('input[name=o10StrSetVal4]').val();
		} else if (envsetType == 'O11') { // 품절안내
			params.envsetNm = '품절안내';
			params.strSetVal1 = $('input:radio[name=o11StrSetVal1]:checked').val();
			params.strSetVal2 = $('input[name=o11StrSetVal2]').val();
			params.strSetVal3 = $('input[name=o11StrSetVal3]').val();
		} else if (envsetType == 'D10') { // 배송/구매확정/반품
			params.envsetNm = '배송/구매확정/반품';
			params.strSetVal1 = $('input[name=d10StrSetVal1]').val();
			params.strSetVal2 = $('input[name=d10StrSetVal2]').val();
			params.strSetVal3 = $('input[name=d10StrSetVal3]').val();
		} else if (envsetType == 'G12') { // 휴면/미접속자 방어쿠폰 12
			params.envsetNm = '휴면/미접속자 12';
			params.strSetVal1 = $('input[name=g12StrSetVal1]').val();
			params.strSetVal2 = $('input[name=g12StrSetVal2]').val();
			params.strSetVal3 = $('input[name=g12StrSetVal3]').val();
		} else if (envsetType == 'G13') { // 휴면/미접속자 방어쿠폰 13
			params.envsetNm = '휴면/미접속자 13';
			params.strSetVal1 = $('input[name=g13StrSetVal1]').val();
			params.strSetVal2 = $('input[name=g13StrSetVal2]').val();
			params.strSetVal3 = $('input[name=g13StrSetVal3]').val();
		} else if (envsetType == 'G14') { // 휴면/미접속자 방어쿠폰 14
			params.envsetNm = '휴면/미접속자 14';
			params.strSetVal1 = $('input[name=g14StrSetVal1]').val();
			params.strSetVal2 = $('input[name=g14StrSetVal2]').val();
			params.strSetVal3 = $('input[name=g14StrSetVal3]').val();
		} else if (envsetType == 'M10') { // 모바일앱
			params.envsetNm = '모바일앱';
			params.strSetVal1 = $('input[name=m10StrSetVal1]').val();
			params.strSetVal2 = $('input[name=m10StrSetVal2]').val();
		}

		var jsonData = JSON.stringify(params);
		gagajf.ajaxJsonSubmit('/envset/create', jsonData);
	}

	// 환경설정 이력보기 팝업
	var fnOpenEnvsetPopup = function(envsetType, envsetTypeNm) {
		var actionUrl = '/envset/history/form'
				+ '?siteCd=' + $('select[name=siteCd]').val()
				+ '&envsetType=' + envsetType
				+ '&envsetTypeNm=' + encodeURIComponent(envsetTypeNm);
		cfnOpenModalPopup(actionUrl, 'popupEnvset');
	}

	// 쿠폰조회 팝업
	var fnOpenCouponRetrievePopup = function(strReturnCode, strReturnName) {
		var oParam = new Object();
		oParam.returnCode = strReturnCode;
		oParam.returnName = strReturnName;
		cfnOpenCouponRetrievePopup($(strReturnName).val(), oParam);
	}

	$(document).ready(function() {
		$('select[name=siteCd]').trigger('change');
	});
/*]]>*/
</script>

</html>
